Changeset 3509


Ignore:
Timestamp:
Jan 4, 2013, 3:50:09 AM (2 years ago)
Author:
quozl
Message:

OLPC XO-1.75 XO-4 - bat-status@ gave an EC command result timeout on XO-1.75, caused by EC API version being treated as cross-platform when it should not have been. XO-4 no longer needs EC API version 4 support, so remove it.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • dev/olpc/kb3700/eccmds.fth

    r3477 r3509  
    115115\ Commands that are different for XO-4 
    116116 
     117[ifdef] olpc-xo4 
    117118: bat-status16@  ( -- w )  h# 70 ec-cmd-w@  ; 
    118 [ifdef] olpc-xo4 
    119119' bat-status16@  is bat-status@ 
    120120[then] 
    121  
    122 \ until EC 0.3.04 and earlier are purged from prototype population, 
    123 \ choose command based on API version reported by EC. 
    124 : bat-status@'  ( -- w ) 
    125    ec-api-ver@  5 <  if 
    126       ['] bat-status8@ 
    127    else 
    128       ['] bat-status16@ 
    129    then 
    130    is bat-status@ 
    131    bat-status@ 
    132 ; 
    133 ' bat-status@'  is bat-status@ 
    134121 
    135122\ LICENSE_BEGIN 
Note: See TracChangeset for help on using the changeset viewer.